%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: An embedded Perl interpreter for the Apache Web server.
Name: mod_perl
Version: 2.0.0
Release: 5tr
Group: Trustix Official
Source: http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
Source1: perl.conf
Patch0: mod_perl-CVE-2007-1349.patch
License: GPL
URL: http://perl.apache.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: apache >= 2.0.40, perl
BuildPrereq: apache-devel >= 2.0.40, perl, gdbm-devel
Prereq: perl

%define site_perl %{_libdir}/perl5/site_perl/%{perl_version}

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install mod_perl if you're installing the Apache web server and you'd
like for it to directly incorporate a Perl interpreter.

%package devel
Summary: Files needed for building XS modules that use mod_perl
Group: Trustix Official
Requires: mod_perl = %{version}-%{release}, apache-devel

%description devel
The mod_perl-devel package contains the files needed for building XS
modules that use mod_perl.

%prep
%setup -q -n mod_perl-2.0.0
%patch0 -p1

%build
CCFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr MP_APXS=%{_sbindir}/apxs
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
make install \
    MODPERL_AP_LIBEXECDIR=$RPM_BUILD_ROOT%{_libdir}/apache \
    MODPERL_AP_INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}/apache

# Install the config file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/perl.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod-perl.conf


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes INSTALL LICENSE README docs
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_bindir}/*
%{_libdir}/apache/mod_perl.so
%{site_perl}/%{_arch}-linux-thread-multi/*.pm
%{site_perl}/%{_arch}-linux-thread-multi/APR
%{site_perl}/%{_arch}-linux-thread-multi/Apache
%{site_perl}/%{_arch}-linux-thread-multi/Bundle
%{site_perl}/%{_arch}-linux-thread-multi/ModPerl
%{site_perl}/%{_arch}-linux-thread-multi/auto/*
%{perl_sitearch}/Apache2/
%{_mandir}/*/*.3*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/apache/*

%changelog
* Fri Jul 27 2007 Nived Gopalan <nived at trustix dot org> 2.0.0-5tr
- SECURITY Fix: A vulnerability has been reported in mod_perl caused
  due to a regular expression in "RegistryCooker.pm" that uses the
  "path_info" variable without properly escaping it. This can be
  exploited to cause a DoS by sending requests with specially crafted
  URLs to a vulnerable server.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-1349 to this issue.

* Tue Jun 07 2005 Ajith Thampi <ajith at comodo dot com> 2.0.0-4tr
- Rebuilt on perl for effect changes in CGI.pm
		
* Mon Jun  6 2005 Hasher J <hasher at comodo dot com> 2.0.0-3tr
- Modified perl.conf according to new mod_perl version of 2.0.

* Wed Jun 01 2005 Ajith Thampi <ajith at comodo dot com> 2.0.0-2tr
- Added missing files %{perl_sitearch}/Apache2/*
		
* Mon May 23 2005 Hasher J <hasher at comodo dot com> 2.0.0-1tr
- New Upstream.

* Fri Nov 12 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0-4tr
- Move module from /usr/lib/apache/modules to /usr/lib/apache

* Wed Nov 10 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0-3tr
- Fix filelist.

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0-2tr
- Now have config file under /etc/httpd/conf.d instead.

* Thu Nov 04 2004 Ajith Thampi <ajith at comodo dot com> 2.0-1tr
- Initial spec file for Trustix TSL 2.2
